Deleted Added
full compact
configure (58551) configure (67064)
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.12
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
52# Maximum number of lines to put in a shell here document.
53ac_max_here_lines=12
54
55ac_prev=
56for ac_option
57do
58
59 # If the previous option needs an argument, assign it.
60 if test -n "$ac_prev"; then
61 eval "$ac_prev=\$ac_option"
62 ac_prev=
63 continue
64 fi
65
66 case "$ac_option" in
67 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68 *) ac_optarg= ;;
69 esac
70
71 # Accept the important Cygnus configure options, so we can diagnose typos.
72
73 case "$ac_option" in
74
75 -bindir | --bindir | --bindi | --bind | --bin | --bi)
76 ac_prev=bindir ;;
77 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78 bindir="$ac_optarg" ;;
79
80 -build | --build | --buil | --bui | --bu)
81 ac_prev=build ;;
82 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83 build="$ac_optarg" ;;
84
85 -cache-file | --cache-file | --cache-fil | --cache-fi \
86 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87 ac_prev=cache_file ;;
88 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90 cache_file="$ac_optarg" ;;
91
92 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93 ac_prev=datadir ;;
94 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95 | --da=*)
96 datadir="$ac_optarg" ;;
97
98 -disable-* | --disable-*)
99 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100 # Reject names that are not valid shell variable names.
101 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103 fi
104 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105 eval "enable_${ac_feature}=no" ;;
106
107 -enable-* | --enable-*)
108 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109 # Reject names that are not valid shell variable names.
110 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112 fi
113 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114 case "$ac_option" in
115 *=*) ;;
116 *) ac_optarg=yes ;;
117 esac
118 eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122 | --exec | --exe | --ex)
123 ac_prev=exec_prefix ;;
124 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126 | --exec=* | --exe=* | --ex=*)
127 exec_prefix="$ac_optarg" ;;
128
129 -gas | --gas | --ga | --g)
130 # Obsolete; use --with-gas.
131 with_gas=yes ;;
132
133 -help | --help | --hel | --he)
134 # Omit some internal or obsolete options to make the list less imposing.
135 # This message is too long to be a string in the A/UX 3.1 sh.
136 cat << EOF
137Usage: configure [options] [host]
138Options: [defaults in brackets after descriptions]
139Configuration:
140 --cache-file=FILE cache test results in FILE
141 --help print this message
142 --no-create do not create output files
143 --quiet, --silent do not print \`checking...' messages
144 --version print the version of autoconf that created configure
145Directory and file names:
146 --prefix=PREFIX install architecture-independent files in PREFIX
147 [$ac_default_prefix]
148 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
149 [same as prefix]
150 --bindir=DIR user executables in DIR [EPREFIX/bin]
151 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
152 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
153 --datadir=DIR read-only architecture-independent data in DIR
154 [PREFIX/share]
155 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
156 --sharedstatedir=DIR modifiable architecture-independent data in DIR
157 [PREFIX/com]
158 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
159 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
160 --includedir=DIR C header files in DIR [PREFIX/include]
161 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
162 --infodir=DIR info documentation in DIR [PREFIX/info]
163 --mandir=DIR man documentation in DIR [PREFIX/man]
164 --srcdir=DIR find the sources in DIR [configure dir or ..]
165 --program-prefix=PREFIX prepend PREFIX to installed program names
166 --program-suffix=SUFFIX append SUFFIX to installed program names
167 --program-transform-name=PROGRAM
168 run sed PROGRAM on installed program names
169EOF
170 cat << EOF
171Host type:
172 --build=BUILD configure for building on BUILD [BUILD=HOST]
173 --host=HOST configure for HOST [guessed]
174 --target=TARGET configure for TARGET [TARGET=HOST]
175Features and packages:
176 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
177 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
178 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
179 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
180 --x-includes=DIR X include files are in DIR
181 --x-libraries=DIR X library files are in DIR
182EOF
183 if test -n "$ac_help"; then
184 echo "--enable and --with options recognized:$ac_help"
185 fi
186 exit 0 ;;
187
188 -host | --host | --hos | --ho)
189 ac_prev=host ;;
190 -host=* | --host=* | --hos=* | --ho=*)
191 host="$ac_optarg" ;;
192
193 -includedir | --includedir | --includedi | --included | --include \
194 | --includ | --inclu | --incl | --inc)
195 ac_prev=includedir ;;
196 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197 | --includ=* | --inclu=* | --incl=* | --inc=*)
198 includedir="$ac_optarg" ;;
199
200 -infodir | --infodir | --infodi | --infod | --info | --inf)
201 ac_prev=infodir ;;
202 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203 infodir="$ac_optarg" ;;
204
205 -libdir | --libdir | --libdi | --libd)
206 ac_prev=libdir ;;
207 -libdir=* | --libdir=* | --libdi=* | --libd=*)
208 libdir="$ac_optarg" ;;
209
210 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211 | --libexe | --libex | --libe)
212 ac_prev=libexecdir ;;
213 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214 | --libexe=* | --libex=* | --libe=*)
215 libexecdir="$ac_optarg" ;;
216
217 -localstatedir | --localstatedir | --localstatedi | --localstated \
218 | --localstate | --localstat | --localsta | --localst \
219 | --locals | --local | --loca | --loc | --lo)
220 ac_prev=localstatedir ;;
221 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224 localstatedir="$ac_optarg" ;;
225
226 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227 ac_prev=mandir ;;
228 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229 mandir="$ac_optarg" ;;
230
231 -nfp | --nfp | --nf)
232 # Obsolete; use --without-fp.
233 with_fp=no ;;
234
235 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236 | --no-cr | --no-c)
237 no_create=yes ;;
238
239 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241 no_recursion=yes ;;
242
243 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245 | --oldin | --oldi | --old | --ol | --o)
246 ac_prev=oldincludedir ;;
247 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250 oldincludedir="$ac_optarg" ;;
251
252 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253 ac_prev=prefix ;;
254 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255 prefix="$ac_optarg" ;;
256
257 -program-prefix | --program-prefix | --program-prefi | --program-pref \
258 | --program-pre | --program-pr | --program-p)
259 ac_prev=program_prefix ;;
260 -program-prefix=* | --program-prefix=* | --program-prefi=* \
261 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262 program_prefix="$ac_optarg" ;;
263
264 -program-suffix | --program-suffix | --program-suffi | --program-suff \
265 | --program-suf | --program-su | --program-s)
266 ac_prev=program_suffix ;;
267 -program-suffix=* | --program-suffix=* | --program-suffi=* \
268 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269 program_suffix="$ac_optarg" ;;
270
271 -program-transform-name | --program-transform-name \
272 | --program-transform-nam | --program-transform-na \
273 | --program-transform-n | --program-transform- \
274 | --program-transform | --program-transfor \
275 | --program-transfo | --program-transf \
276 | --program-trans | --program-tran \
277 | --progr-tra | --program-tr | --program-t)
278 ac_prev=program_transform_name ;;
279 -program-transform-name=* | --program-transform-name=* \
280 | --program-transform-nam=* | --program-transform-na=* \
281 | --program-transform-n=* | --program-transform-=* \
282 | --program-transform=* | --program-transfor=* \
283 | --program-transfo=* | --program-transf=* \
284 | --program-trans=* | --program-tran=* \
285 | --progr-tra=* | --program-tr=* | --program-t=*)
286 program_transform_name="$ac_optarg" ;;
287
288 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289 | -silent | --silent | --silen | --sile | --sil)
290 silent=yes ;;
291
292 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293 ac_prev=sbindir ;;
294 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295 | --sbi=* | --sb=*)
296 sbindir="$ac_optarg" ;;
297
298 -sharedstatedir | --sharedstatedir | --sharedstatedi \
299 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300 | --sharedst | --shareds | --shared | --share | --shar \
301 | --sha | --sh)
302 ac_prev=sharedstatedir ;;
303 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306 | --sha=* | --sh=*)
307 sharedstatedir="$ac_optarg" ;;
308
309 -site | --site | --sit)
310 ac_prev=site ;;
311 -site=* | --site=* | --sit=*)
312 site="$ac_optarg" ;;
313
314 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315 ac_prev=srcdir ;;
316 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317 srcdir="$ac_optarg" ;;
318
319 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320 | --syscon | --sysco | --sysc | --sys | --sy)
321 ac_prev=sysconfdir ;;
322 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324 sysconfdir="$ac_optarg" ;;
325
326 -target | --target | --targe | --targ | --tar | --ta | --t)
327 ac_prev=target ;;
328 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329 target="$ac_optarg" ;;
330
331 -v | -verbose | --verbose | --verbos | --verbo | --verb)
332 verbose=yes ;;
333
334 -version | --version | --versio | --versi | --vers)
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
63 ac_prev=
64 continue
65 fi
66
67 case "$ac_option" in
68 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69 *) ac_optarg= ;;
70 esac
71
72 # Accept the important Cygnus configure options, so we can diagnose typos.
73
74 case "$ac_option" in
75
76 -bindir | --bindir | --bindi | --bind | --bin | --bi)
77 ac_prev=bindir ;;
78 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79 bindir="$ac_optarg" ;;
80
81 -build | --build | --buil | --bui | --bu)
82 ac_prev=build ;;
83 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84 build="$ac_optarg" ;;
85
86 -cache-file | --cache-file | --cache-fil | --cache-fi \
87 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88 ac_prev=cache_file ;;
89 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91 cache_file="$ac_optarg" ;;
92
93 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94 ac_prev=datadir ;;
95 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96 | --da=*)
97 datadir="$ac_optarg" ;;
98
99 -disable-* | --disable-*)
100 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104 fi
105 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
107
108 -enable-* | --enable-*)
109 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113 fi
114 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115 case "$ac_option" in
116 *=*) ;;
117 *) ac_optarg=yes ;;
118 esac
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123 | --exec | --exe | --ex)
124 ac_prev=exec_prefix ;;
125 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127 | --exec=* | --exe=* | --ex=*)
128 exec_prefix="$ac_optarg" ;;
129
130 -gas | --gas | --ga | --g)
131 # Obsolete; use --with-gas.
132 with_gas=yes ;;
133
134 -help | --help | --hel | --he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
137 cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
148 [$ac_default_prefix]
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
150 [same as prefix]
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
155 [PREFIX/share]
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
158 [PREFIX/com]
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
170EOF
171 cat << EOF
172Host type:
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
183EOF
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
186 fi
187 exit 0 ;;
188
189 -host | --host | --hos | --ho)
190 ac_prev=host ;;
191 -host=* | --host=* | --hos=* | --ho=*)
192 host="$ac_optarg" ;;
193
194 -includedir | --includedir | --includedi | --included | --include \
195 | --includ | --inclu | --incl | --inc)
196 ac_prev=includedir ;;
197 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198 | --includ=* | --inclu=* | --incl=* | --inc=*)
199 includedir="$ac_optarg" ;;
200
201 -infodir | --infodir | --infodi | --infod | --info | --inf)
202 ac_prev=infodir ;;
203 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204 infodir="$ac_optarg" ;;
205
206 -libdir | --libdir | --libdi | --libd)
207 ac_prev=libdir ;;
208 -libdir=* | --libdir=* | --libdi=* | --libd=*)
209 libdir="$ac_optarg" ;;
210
211 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212 | --libexe | --libex | --libe)
213 ac_prev=libexecdir ;;
214 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215 | --libexe=* | --libex=* | --libe=*)
216 libexecdir="$ac_optarg" ;;
217
218 -localstatedir | --localstatedir | --localstatedi | --localstated \
219 | --localstate | --localstat | --localsta | --localst \
220 | --locals | --local | --loca | --loc | --lo)
221 ac_prev=localstatedir ;;
222 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225 localstatedir="$ac_optarg" ;;
226
227 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228 ac_prev=mandir ;;
229 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230 mandir="$ac_optarg" ;;
231
232 -nfp | --nfp | --nf)
233 # Obsolete; use --without-fp.
234 with_fp=no ;;
235
236 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237 | --no-cr | --no-c)
238 no_create=yes ;;
239
240 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242 no_recursion=yes ;;
243
244 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246 | --oldin | --oldi | --old | --ol | --o)
247 ac_prev=oldincludedir ;;
248 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251 oldincludedir="$ac_optarg" ;;
252
253 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254 ac_prev=prefix ;;
255 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256 prefix="$ac_optarg" ;;
257
258 -program-prefix | --program-prefix | --program-prefi | --program-pref \
259 | --program-pre | --program-pr | --program-p)
260 ac_prev=program_prefix ;;
261 -program-prefix=* | --program-prefix=* | --program-prefi=* \
262 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263 program_prefix="$ac_optarg" ;;
264
265 -program-suffix | --program-suffix | --program-suffi | --program-suff \
266 | --program-suf | --program-su | --program-s)
267 ac_prev=program_suffix ;;
268 -program-suffix=* | --program-suffix=* | --program-suffi=* \
269 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270 program_suffix="$ac_optarg" ;;
271
272 -program-transform-name | --program-transform-name \
273 | --program-transform-nam | --program-transform-na \
274 | --program-transform-n | --program-transform- \
275 | --program-transform | --program-transfor \
276 | --program-transfo | --program-transf \
277 | --program-trans | --program-tran \
278 | --progr-tra | --program-tr | --program-t)
279 ac_prev=program_transform_name ;;
280 -program-transform-name=* | --program-transform-name=* \
281 | --program-transform-nam=* | --program-transform-na=* \
282 | --program-transform-n=* | --program-transform-=* \
283 | --program-transform=* | --program-transfor=* \
284 | --program-transfo=* | --program-transf=* \
285 | --program-trans=* | --program-tran=* \
286 | --progr-tra=* | --program-tr=* | --program-t=*)
287 program_transform_name="$ac_optarg" ;;
288
289 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290 | -silent | --silent | --silen | --sile | --sil)
291 silent=yes ;;
292
293 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294 ac_prev=sbindir ;;
295 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296 | --sbi=* | --sb=*)
297 sbindir="$ac_optarg" ;;
298
299 -sharedstatedir | --sharedstatedir | --sharedstatedi \
300 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301 | --sharedst | --shareds | --shared | --share | --shar \
302 | --sha | --sh)
303 ac_prev=sharedstatedir ;;
304 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307 | --sha=* | --sh=*)
308 sharedstatedir="$ac_optarg" ;;
309
310 -site | --site | --sit)
311 ac_prev=site ;;
312 -site=* | --site=* | --sit=*)
313 site="$ac_optarg" ;;
314
315 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316 ac_prev=srcdir ;;
317 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318 srcdir="$ac_optarg" ;;
319
320 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321 | --syscon | --sysco | --sysc | --sys | --sy)
322 ac_prev=sysconfdir ;;
323 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325 sysconfdir="$ac_optarg" ;;
326
327 -target | --target | --targe | --targ | --tar | --ta | --t)
328 ac_prev=target ;;
329 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330 target="$ac_optarg" ;;
331
332 -v | -verbose | --verbose | --verbos | --verbo | --verb)
333 verbose=yes ;;
334
335 -version | --version | --versio | --versi | --vers)
335 echo "configure generated by autoconf version 2.12"
336 echo "configure generated by autoconf version 2.13"
336 exit 0 ;;
337
338 -with-* | --with-*)
339 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340 # Reject names that are not valid shell variable names.
341 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343 fi
344 ac_package=`echo $ac_package| sed 's/-/_/g'`
345 case "$ac_option" in
346 *=*) ;;
347 *) ac_optarg=yes ;;
348 esac
349 eval "with_${ac_package}='$ac_optarg'" ;;
350
351 -without-* | --without-*)
352 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353 # Reject names that are not valid shell variable names.
354 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356 fi
357 ac_package=`echo $ac_package| sed 's/-/_/g'`
358 eval "with_${ac_package}=no" ;;
359
360 --x)
361 # Obsolete; use --with-x.
362 with_x=yes ;;
363
364 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365 | --x-incl | --x-inc | --x-in | --x-i)
366 ac_prev=x_includes ;;
367 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369 x_includes="$ac_optarg" ;;
370
371 -x-libraries | --x-libraries | --x-librarie | --x-librari \
372 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373 ac_prev=x_libraries ;;
374 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376 x_libraries="$ac_optarg" ;;
377
378 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379 ;;
380
381 *)
382 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383 echo "configure: warning: $ac_option: invalid host type" 1>&2
384 fi
385 if test "x$nonopt" != xNONE; then
386 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387 fi
388 nonopt="$ac_option"
389 ;;
390
391 esac
392done
393
394if test -n "$ac_prev"; then
395 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396fi
397
398trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400# File descriptor usage:
401# 0 standard input
402# 1 file creation
403# 2 errors and warnings
404# 3 some systems may open it to /dev/tty
405# 4 used on the Kubota Titan
406# 6 checking for... messages and results
407# 5 compiler messages saved in config.log
408if test "$silent" = yes; then
409 exec 6>/dev/null
410else
411 exec 6>&1
412fi
413exec 5>./config.log
414
415echo "\
416This file contains any messages produced by compilers while
417running configure, to aid debugging if configure makes a mistake.
418" 1>&5
419
420# Strip out --no-create and --no-recursion so they do not pile up.
421# Also quote any args containing shell metacharacters.
422ac_configure_args=
423for ac_arg
424do
425 case "$ac_arg" in
426 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427 | --no-cr | --no-c) ;;
428 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433 esac
434done
435
436# NLS nuisances.
437# Only set these to C if already set. These must not be set unconditionally
438# because not all systems understand e.g. LANG=C (notably SCO).
439# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440# Non-C LC_CTYPE values break the ctype check.
441if test "${LANG+set}" = set; then LANG=C; export LANG; fi
442if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
445
446# confdefs.h avoids OS command line length limits that DEFS can exceed.
447rm -rf conftest* confdefs.h
448# AIX cpp loses on an empty file, so make sure it contains at least a newline.
449echo > confdefs.h
450
451# A filename unique to this package, relative to the directory that
452# configure is in, which we can look for to find out if srcdir is correct.
453ac_unique_file=gperf.1
454
455# Find the source files, if location was not specified.
456if test -z "$srcdir"; then
457 ac_srcdir_defaulted=yes
458 # Try the directory containing this script, then its parent.
459 ac_prog=$0
460 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462 srcdir=$ac_confdir
463 if test ! -r $srcdir/$ac_unique_file; then
464 srcdir=..
465 fi
466else
467 ac_srcdir_defaulted=no
468fi
469if test ! -r $srcdir/$ac_unique_file; then
470 if test "$ac_srcdir_defaulted" = yes; then
471 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472 else
473 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474 fi
475fi
476srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478# Prefer explicitly selected file to automatically selected ones.
479if test -z "$CONFIG_SITE"; then
480 if test "x$prefix" != xNONE; then
481 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482 else
483 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484 fi
485fi
486for ac_site_file in $CONFIG_SITE; do
487 if test -r "$ac_site_file"; then
488 echo "loading site script $ac_site_file"
489 . "$ac_site_file"
490 fi
491done
492
493if test -r "$cache_file"; then
494 echo "loading cache $cache_file"
495 . $cache_file
496else
497 echo "creating cache $cache_file"
498 > $cache_file
499fi
500
501ac_ext=c
502# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503ac_cpp='$CPP $CPPFLAGS'
504ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
337 exit 0 ;;
338
339 -with-* | --with-*)
340 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344 fi
345 ac_package=`echo $ac_package| sed 's/-/_/g'`
346 case "$ac_option" in
347 *=*) ;;
348 *) ac_optarg=yes ;;
349 esac
350 eval "with_${ac_package}='$ac_optarg'" ;;
351
352 -without-* | --without-*)
353 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357 fi
358 ac_package=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
360
361 --x)
362 # Obsolete; use --with-x.
363 with_x=yes ;;
364
365 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366 | --x-incl | --x-inc | --x-in | --x-i)
367 ac_prev=x_includes ;;
368 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370 x_includes="$ac_optarg" ;;
371
372 -x-libraries | --x-libraries | --x-librarie | --x-librari \
373 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374 ac_prev=x_libraries ;;
375 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377 x_libraries="$ac_optarg" ;;
378
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380 ;;
381
382 *)
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
385 fi
386 if test "x$nonopt" != xNONE; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388 fi
389 nonopt="$ac_option"
390 ;;
391
392 esac
393done
394
395if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410 exec 6>/dev/null
411else
412 exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426 case "$ac_arg" in
427 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428 | --no-cr | --no-c) ;;
429 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434 esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set. These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}" = set; then LANG=C; export LANG; fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=gperf.1
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458 ac_srcdir_defaulted=yes
459 # Try the directory containing this script, then its parent.
460 ac_prog=$0
461 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463 srcdir=$ac_confdir
464 if test ! -r $srcdir/$ac_unique_file; then
465 srcdir=..
466 fi
467else
468 ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473 else
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475 fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE; then
482 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483 else
484 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485 fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
490 . "$ac_site_file"
491 fi
492done
493
494if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
496 . $cache_file
497else
498 echo "creating cache $cache_file"
499 > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506cross_compiling=$ac_cv_prog_cc_cross
507
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
508if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511 ac_n= ac_c='
512' ac_t=' '
513 else
514 ac_n=-n ac_c= ac_t=
515 fi
516else
517 ac_n= ac_c='\c' ac_t=
518fi
519
520
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514 ac_n= ac_c='
515' ac_t=' '
516 else
517 ac_n=-n ac_c= ac_t=
518 fi
519else
520 ac_n= ac_c='\c' ac_t=
521fi
522
523
524PACKAGE=gperf
525
521echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
526echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
522echo "configure:523: checking whether ${MAKE-make} sets \${MAKE}" >&5
527echo "configure:528: checking whether ${MAKE-make} sets \${MAKE}" >&5
523set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
524if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
525 echo $ac_n "(cached) $ac_c" 1>&6
526else
527 cat > conftestmake <<\EOF
528all:
529 @echo 'ac_maketemp="${MAKE}"'
530EOF
531# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
532eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
533if test -n "$ac_maketemp"; then
534 eval ac_cv_prog_make_${ac_make}_set=yes
535else
536 eval ac_cv_prog_make_${ac_make}_set=no
537fi
538rm -f conftestmake
539fi
540if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
541 echo "$ac_t""yes" 1>&6
542 SET_MAKE=
543else
544 echo "$ac_t""no" 1>&6
545 SET_MAKE="MAKE=${MAKE-make}"
546fi
547
548# Find a good install program. We prefer a C program (faster),
549# so one script is as good as another. But avoid the broken or
550# incompatible versions:
551# SysV /etc/install, /usr/sbin/install
552# SunOS /usr/etc/install
553# IRIX /sbin/install
554# AIX /bin/install
555# AFS /usr/afsws/bin/install, which mishandles nonexistent args
556# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
557# ./install, which can be erroneously created by make from ./install.sh.
558echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
528set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
529if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
530 echo $ac_n "(cached) $ac_c" 1>&6
531else
532 cat > conftestmake <<\EOF
533all:
534 @echo 'ac_maketemp="${MAKE}"'
535EOF
536# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
537eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
538if test -n "$ac_maketemp"; then
539 eval ac_cv_prog_make_${ac_make}_set=yes
540else
541 eval ac_cv_prog_make_${ac_make}_set=no
542fi
543rm -f conftestmake
544fi
545if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
546 echo "$ac_t""yes" 1>&6
547 SET_MAKE=
548else
549 echo "$ac_t""no" 1>&6
550 SET_MAKE="MAKE=${MAKE-make}"
551fi
552
553# Find a good install program. We prefer a C program (faster),
554# so one script is as good as another. But avoid the broken or
555# incompatible versions:
556# SysV /etc/install, /usr/sbin/install
557# SunOS /usr/etc/install
558# IRIX /sbin/install
559# AIX /bin/install
560# AFS /usr/afsws/bin/install, which mishandles nonexistent args
561# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
562# ./install, which can be erroneously created by make from ./install.sh.
563echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
559echo "configure:560: checking for a BSD compatible install" >&5
564echo "configure:565: checking for a BSD compatible install" >&5
560if test -z "$INSTALL"; then
561if eval "test \"`echo '$''{'cl_cv_path_install'+set}'`\" = set"; then
562 echo $ac_n "(cached) $ac_c" 1>&6
563else
564 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
565 for ac_dir in $PATH; do
566 # Account for people who put trailing slashes in PATH elements.
567 case "$ac_dir/" in
568 /|./|.//|/etc/*|/usr/sbin/*|/usr/etc/*|/sbin/*|/usr/afsws/bin/*|/usr/ucb/*) ;;
569 *)
570 # OSF1 and SCO ODT 3.0 have their own names for install.
571 for ac_prog in ginstall installbsd scoinst install; do
572 if test -f $ac_dir/$ac_prog; then
573 if test $ac_prog = install &&
574 grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
575 # AIX install. It has an incompatible calling convention.
576 # OSF/1 installbsd also uses dspmsg, but is usable.
577 :
578 else
579 if test $ac_prog = installbsd &&
580 grep src/bos $ac_dir/$ac_prog >/dev/null 2>&1; then
581 # AIX installbsd doesn't work without option "-g".
582 :
583 else
565if test -z "$INSTALL"; then
566if eval "test \"`echo '$''{'cl_cv_path_install'+set}'`\" = set"; then
567 echo $ac_n "(cached) $ac_c" 1>&6
568else
569 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
570 for ac_dir in $PATH; do
571 # Account for people who put trailing slashes in PATH elements.
572 case "$ac_dir/" in
573 /|./|.//|/etc/*|/usr/sbin/*|/usr/etc/*|/sbin/*|/usr/afsws/bin/*|/usr/ucb/*) ;;
574 *)
575 # OSF1 and SCO ODT 3.0 have their own names for install.
576 for ac_prog in ginstall installbsd scoinst install; do
577 if test -f $ac_dir/$ac_prog; then
578 if test $ac_prog = install &&
579 grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
580 # AIX install. It has an incompatible calling convention.
581 # OSF/1 installbsd also uses dspmsg, but is usable.
582 :
583 else
584 if test $ac_prog = installbsd &&
585 grep src/bos $ac_dir/$ac_prog >/dev/null 2>&1; then
586 # AIX installbsd doesn't work without option "-g".
587 :
588 else
584 ac_cv_path_install="$ac_dir/$ac_prog -c"
589 cl_cv_path_install="$ac_dir/$ac_prog -c"
585 break 2
586 fi
587 fi
588 fi
589 done
590 ;;
591 esac
592 done
593 IFS="$ac_save_ifs"
594 # As a last resort, use cp.
595 test -z "$cl_cv_path_install" && cl_cv_path_install="cp"
596
597fi
598 INSTALL="$cl_cv_path_install"
599fi
600echo "$ac_t""$INSTALL" 1>&6
601# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
602# It thinks the first close brace ends the variable substitution.
603test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='$(INSTALL)'
604if test -z "$INSTALL_DATA"; then
605 case "$INSTALL" in
606 cp | */cp ) INSTALL_DATA='$(INSTALL)' ;;
607 * ) INSTALL_DATA='$(INSTALL) -m 644' ;;
608 esac
609fi
610
611 trap '' 1 2 15
612cat > confcache <<\EOF
613# This file is a shell script that caches the results of configure
614# tests run on this system so they can be shared between configure
615# scripts and configure runs. It is not useful on other systems.
616# If it contains results you don't want to keep, you may remove or edit it.
617#
618# By default, configure uses ./config.cache as the cache file,
619# creating it if it does not exist already. You can give configure
620# the --cache-file=FILE option to use a different cache file; that is
621# what configure does when it calls configure scripts in
622# subdirectories, so they share the cache.
623# Giving --cache-file=/dev/null disables caching, for debugging configure.
624# config.status only pays attention to the cache file if you give it the
625# --recheck option to rerun configure.
626#
627EOF
628# The following way of writing the cache mishandles newlines in values,
629# but we know of no workaround that is simple, portable, and efficient.
630# So, don't put newlines in cache variables' values.
631# Ultrix sh set writes to stderr and can't be redirected directly,
632# and sets the high bit in the cache file unless we assign to the vars.
633(set) 2>&1 |
590 break 2
591 fi
592 fi
593 fi
594 done
595 ;;
596 esac
597 done
598 IFS="$ac_save_ifs"
599 # As a last resort, use cp.
600 test -z "$cl_cv_path_install" && cl_cv_path_install="cp"
601
602fi
603 INSTALL="$cl_cv_path_install"
604fi
605echo "$ac_t""$INSTALL" 1>&6
606# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
607# It thinks the first close brace ends the variable substitution.
608test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='$(INSTALL)'
609if test -z "$INSTALL_DATA"; then
610 case "$INSTALL" in
611 cp | */cp ) INSTALL_DATA='$(INSTALL)' ;;
612 * ) INSTALL_DATA='$(INSTALL) -m 644' ;;
613 esac
614fi
615
616 trap '' 1 2 15
617cat > confcache <<\EOF
618# This file is a shell script that caches the results of configure
619# tests run on this system so they can be shared between configure
620# scripts and configure runs. It is not useful on other systems.
621# If it contains results you don't want to keep, you may remove or edit it.
622#
623# By default, configure uses ./config.cache as the cache file,
624# creating it if it does not exist already. You can give configure
625# the --cache-file=FILE option to use a different cache file; that is
626# what configure does when it calls configure scripts in
627# subdirectories, so they share the cache.
628# Giving --cache-file=/dev/null disables caching, for debugging configure.
629# config.status only pays attention to the cache file if you give it the
630# --recheck option to rerun configure.
631#
632EOF
633# The following way of writing the cache mishandles newlines in values,
634# but we know of no workaround that is simple, portable, and efficient.
635# So, don't put newlines in cache variables' values.
636# Ultrix sh set writes to stderr and can't be redirected directly,
637# and sets the high bit in the cache file unless we assign to the vars.
638(set) 2>&1 |
634 case `(ac_space=' '; set) 2>&1` in
639 case `(ac_space=' '; set | grep ac_space) 2>&1` in
635 *ac_space=\ *)
636 # `set' does not quote correctly, so add quotes (double-quote substitution
637 # turns \\\\ into \\, and sed turns \\ into \).
638 sed -n \
639 -e "s/'/'\\\\''/g" \
640 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
641 ;;
642 *)
643 # `set' quotes correctly as required by POSIX, so do not add quotes.
644 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
645 ;;
646 esac >> confcache
647if cmp -s $cache_file confcache; then
648 :
649else
650 if test -w $cache_file; then
651 echo "updating cache $cache_file"
652 cat confcache > $cache_file
653 else
654 echo "not updating unwritable cache $cache_file"
655 fi
656fi
657rm -f confcache
658
659trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
660
661test "x$prefix" = xNONE && prefix=$ac_default_prefix
662# Let make expand exec_prefix.
663test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
664
665# Any assignment to VPATH causes Sun make to only execute
666# the first set of double-colon rules, so remove it if not needed.
667# If there is a colon in the path, we need to keep it.
668if test "x$srcdir" = x.; then
669 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
670fi
671
672trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
673
674# Transform confdefs.h into DEFS.
675# Protect against shell expansion while executing Makefile rules.
676# Protect against Makefile macro expansion.
677cat > conftest.defs <<\EOF
678s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
679s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
680s%\[%\\&%g
681s%\]%\\&%g
682s%\$%$$%g
683EOF
684DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
685rm -f conftest.defs
686
687
688# Without the "./", some shells look in PATH for config.status.
689: ${CONFIG_STATUS=./config.status}
690
691echo creating $CONFIG_STATUS
692rm -f $CONFIG_STATUS
693cat > $CONFIG_STATUS <<EOF
694#! /bin/sh
695# Generated automatically by configure.
696# Run this file to recreate the current configuration.
697# This directory was configured as follows,
698# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
699#
700# $0 $ac_configure_args
701#
702# Compiler output produced by configure, useful for debugging
703# configure, is in ./config.log if it exists.
704
705ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
706for ac_option
707do
708 case "\$ac_option" in
709 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
710 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
711 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
712 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
640 *ac_space=\ *)
641 # `set' does not quote correctly, so add quotes (double-quote substitution
642 # turns \\\\ into \\, and sed turns \\ into \).
643 sed -n \
644 -e "s/'/'\\\\''/g" \
645 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
646 ;;
647 *)
648 # `set' quotes correctly as required by POSIX, so do not add quotes.
649 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
650 ;;
651 esac >> confcache
652if cmp -s $cache_file confcache; then
653 :
654else
655 if test -w $cache_file; then
656 echo "updating cache $cache_file"
657 cat confcache > $cache_file
658 else
659 echo "not updating unwritable cache $cache_file"
660 fi
661fi
662rm -f confcache
663
664trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
665
666test "x$prefix" = xNONE && prefix=$ac_default_prefix
667# Let make expand exec_prefix.
668test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
669
670# Any assignment to VPATH causes Sun make to only execute
671# the first set of double-colon rules, so remove it if not needed.
672# If there is a colon in the path, we need to keep it.
673if test "x$srcdir" = x.; then
674 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
675fi
676
677trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
678
679# Transform confdefs.h into DEFS.
680# Protect against shell expansion while executing Makefile rules.
681# Protect against Makefile macro expansion.
682cat > conftest.defs <<\EOF
683s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
684s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
685s%\[%\\&%g
686s%\]%\\&%g
687s%\$%$$%g
688EOF
689DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
690rm -f conftest.defs
691
692
693# Without the "./", some shells look in PATH for config.status.
694: ${CONFIG_STATUS=./config.status}
695
696echo creating $CONFIG_STATUS
697rm -f $CONFIG_STATUS
698cat > $CONFIG_STATUS <<EOF
699#! /bin/sh
700# Generated automatically by configure.
701# Run this file to recreate the current configuration.
702# This directory was configured as follows,
703# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
704#
705# $0 $ac_configure_args
706#
707# Compiler output produced by configure, useful for debugging
708# configure, is in ./config.log if it exists.
709
710ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
711for ac_option
712do
713 case "\$ac_option" in
714 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
715 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
716 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
717 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
713 echo "$CONFIG_STATUS generated by autoconf version 2.12"
718 echo "$CONFIG_STATUS generated by autoconf version 2.13"
714 exit 0 ;;
715 -help | --help | --hel | --he | --h)
716 echo "\$ac_cs_usage"; exit 0 ;;
717 *) echo "\$ac_cs_usage"; exit 1 ;;
718 esac
719done
720
721ac_given_srcdir=$srcdir
722
723trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
724EOF
725cat >> $CONFIG_STATUS <<EOF
726
727# Protect against being on the right side of a sed subst in config.status.
728sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
729 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
730$ac_vpsub
731$extrasub
719 exit 0 ;;
720 -help | --help | --hel | --he | --h)
721 echo "\$ac_cs_usage"; exit 0 ;;
722 *) echo "\$ac_cs_usage"; exit 1 ;;
723 esac
724done
725
726ac_given_srcdir=$srcdir
727
728trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
729EOF
730cat >> $CONFIG_STATUS <<EOF
731
732# Protect against being on the right side of a sed subst in config.status.
733sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
734 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
735$ac_vpsub
736$extrasub
737s%@SHELL@%$SHELL%g
732s%@CFLAGS@%$CFLAGS%g
733s%@CPPFLAGS@%$CPPFLAGS%g
734s%@CXXFLAGS@%$CXXFLAGS%g
738s%@CFLAGS@%$CFLAGS%g
739s%@CPPFLAGS@%$CPPFLAGS%g
740s%@CXXFLAGS@%$CXXFLAGS%g
741s%@FFLAGS@%$FFLAGS%g
735s%@DEFS@%$DEFS%g
736s%@LDFLAGS@%$LDFLAGS%g
737s%@LIBS@%$LIBS%g
738s%@exec_prefix@%$exec_prefix%g
739s%@prefix@%$prefix%g
740s%@program_transform_name@%$program_transform_name%g
741s%@bindir@%$bindir%g
742s%@sbindir@%$sbindir%g
743s%@libexecdir@%$libexecdir%g
744s%@datadir@%$datadir%g
745s%@sysconfdir@%$sysconfdir%g
746s%@sharedstatedir@%$sharedstatedir%g
747s%@localstatedir@%$localstatedir%g
748s%@libdir@%$libdir%g
749s%@includedir@%$includedir%g
750s%@oldincludedir@%$oldincludedir%g
751s%@infodir@%$infodir%g
752s%@mandir@%$mandir%g
742s%@DEFS@%$DEFS%g
743s%@LDFLAGS@%$LDFLAGS%g
744s%@LIBS@%$LIBS%g
745s%@exec_prefix@%$exec_prefix%g
746s%@prefix@%$prefix%g
747s%@program_transform_name@%$program_transform_name%g
748s%@bindir@%$bindir%g
749s%@sbindir@%$sbindir%g
750s%@libexecdir@%$libexecdir%g
751s%@datadir@%$datadir%g
752s%@sysconfdir@%$sysconfdir%g
753s%@sharedstatedir@%$sharedstatedir%g
754s%@localstatedir@%$localstatedir%g
755s%@libdir@%$libdir%g
756s%@includedir@%$includedir%g
757s%@oldincludedir@%$oldincludedir%g
758s%@infodir@%$infodir%g
759s%@mandir@%$mandir%g
760s%@PACKAGE@%$PACKAGE%g
753s%@SET_MAKE@%$SET_MAKE%g
754s%@INSTALL@%$INSTALL%g
755s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
756s%@INSTALL_DATA@%$INSTALL_DATA%g
757
758CEOF
759EOF
760
761cat >> $CONFIG_STATUS <<\EOF
762
763# Split the substitutions into bite-sized pieces for seds with
764# small command number limits, like on Digital OSF/1 and HP-UX.
765ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
766ac_file=1 # Number of current file.
767ac_beg=1 # First line for current file.
768ac_end=$ac_max_sed_cmds # Line after last line for current file.
769ac_more_lines=:
770ac_sed_cmds=""
771while $ac_more_lines; do
772 if test $ac_beg -gt 1; then
773 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
774 else
775 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
776 fi
777 if test ! -s conftest.s$ac_file; then
778 ac_more_lines=false
779 rm -f conftest.s$ac_file
780 else
781 if test -z "$ac_sed_cmds"; then
782 ac_sed_cmds="sed -f conftest.s$ac_file"
783 else
784 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
785 fi
786 ac_file=`expr $ac_file + 1`
787 ac_beg=$ac_end
788 ac_end=`expr $ac_end + $ac_max_sed_cmds`
789 fi
790done
791if test -z "$ac_sed_cmds"; then
792 ac_sed_cmds=cat
793fi
794EOF
795
796cat >> $CONFIG_STATUS <<EOF
797
798CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
799EOF
800cat >> $CONFIG_STATUS <<\EOF
801for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
802 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
803 case "$ac_file" in
804 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
805 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
806 *) ac_file_in="${ac_file}.in" ;;
807 esac
808
809 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
810
811 # Remove last slash and all that follows it. Not all systems have dirname.
812 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
813 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
814 # The file is in a subdirectory.
815 test ! -d "$ac_dir" && mkdir "$ac_dir"
816 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
817 # A "../" for each directory in $ac_dir_suffix.
818 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
819 else
820 ac_dir_suffix= ac_dots=
821 fi
822
823 case "$ac_given_srcdir" in
824 .) srcdir=.
825 if test -z "$ac_dots"; then top_srcdir=.
826 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
827 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
828 *) # Relative path.
829 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
830 top_srcdir="$ac_dots$ac_given_srcdir" ;;
831 esac
832
833
834 echo creating "$ac_file"
835 rm -f "$ac_file"
836 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
837 case "$ac_file" in
838 *Makefile*) ac_comsub="1i\\
839# $configure_input" ;;
840 *) ac_comsub= ;;
841 esac
842
843 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
844 sed -e "$ac_comsub
845s%@configure_input@%$configure_input%g
846s%@srcdir@%$srcdir%g
847s%@top_srcdir@%$top_srcdir%g
848" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
849fi; done
850rm -f conftest.s*
851
852EOF
853cat >> $CONFIG_STATUS <<EOF
854
855EOF
856cat >> $CONFIG_STATUS <<\EOF
857
858exit 0
859EOF
860chmod +x $CONFIG_STATUS
861rm -fr confdefs* $ac_clean_files
862test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
863
761s%@SET_MAKE@%$SET_MAKE%g
762s%@INSTALL@%$INSTALL%g
763s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
764s%@INSTALL_DATA@%$INSTALL_DATA%g
765
766CEOF
767EOF
768
769cat >> $CONFIG_STATUS <<\EOF
770
771# Split the substitutions into bite-sized pieces for seds with
772# small command number limits, like on Digital OSF/1 and HP-UX.
773ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
774ac_file=1 # Number of current file.
775ac_beg=1 # First line for current file.
776ac_end=$ac_max_sed_cmds # Line after last line for current file.
777ac_more_lines=:
778ac_sed_cmds=""
779while $ac_more_lines; do
780 if test $ac_beg -gt 1; then
781 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
782 else
783 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
784 fi
785 if test ! -s conftest.s$ac_file; then
786 ac_more_lines=false
787 rm -f conftest.s$ac_file
788 else
789 if test -z "$ac_sed_cmds"; then
790 ac_sed_cmds="sed -f conftest.s$ac_file"
791 else
792 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
793 fi
794 ac_file=`expr $ac_file + 1`
795 ac_beg=$ac_end
796 ac_end=`expr $ac_end + $ac_max_sed_cmds`
797 fi
798done
799if test -z "$ac_sed_cmds"; then
800 ac_sed_cmds=cat
801fi
802EOF
803
804cat >> $CONFIG_STATUS <<EOF
805
806CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
807EOF
808cat >> $CONFIG_STATUS <<\EOF
809for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
810 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
811 case "$ac_file" in
812 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
813 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
814 *) ac_file_in="${ac_file}.in" ;;
815 esac
816
817 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
818
819 # Remove last slash and all that follows it. Not all systems have dirname.
820 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
821 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
822 # The file is in a subdirectory.
823 test ! -d "$ac_dir" && mkdir "$ac_dir"
824 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
825 # A "../" for each directory in $ac_dir_suffix.
826 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
827 else
828 ac_dir_suffix= ac_dots=
829 fi
830
831 case "$ac_given_srcdir" in
832 .) srcdir=.
833 if test -z "$ac_dots"; then top_srcdir=.
834 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
835 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
836 *) # Relative path.
837 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
838 top_srcdir="$ac_dots$ac_given_srcdir" ;;
839 esac
840
841
842 echo creating "$ac_file"
843 rm -f "$ac_file"
844 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
845 case "$ac_file" in
846 *Makefile*) ac_comsub="1i\\
847# $configure_input" ;;
848 *) ac_comsub= ;;
849 esac
850
851 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
852 sed -e "$ac_comsub
853s%@configure_input@%$configure_input%g
854s%@srcdir@%$srcdir%g
855s%@top_srcdir@%$top_srcdir%g
856" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
857fi; done
858rm -f conftest.s*
859
860EOF
861cat >> $CONFIG_STATUS <<EOF
862
863EOF
864cat >> $CONFIG_STATUS <<\EOF
865
866exit 0
867EOF
868chmod +x $CONFIG_STATUS
869rm -fr confdefs* $ac_clean_files
870test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
871